
Foreman - Bug #13810

Reports fail to upload, Mysql2::Error: Out of range value for column 'id' (logs table)

02/19/2016 10:46 AM - Doug Forster

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Database   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4169

  

Description

| ActiveRecord::StatementInvalid: Mysql2::Error: Out of range value for column 'id' at row 1: INSERT INTO `logs` (`created_at`,

`level_id`, `message_id`, `report_id`, `source_id`, `updated_at`) VALUES ('2016-02-19 04:48:08', 1, 9, 128052331, 3, '2016-02-19

04:48:08')

Related issues:

Related to Foreman - Bug #18130: Fail to import facts and reports - auto incr... Closed 01/18/2017

Has duplicate Foreman - Bug #17270: Running out of IDs in logs table Duplicate 11/08/2016

Has duplicate Foreman - Feature #17251: Data type of the id on 'big' tables Duplicate 11/07/2016

Has duplicate Foreman - Bug #17999: Fact values id exceeds mysql maximum Duplicate 01/10/2017

Has duplicate Foreman - Bug #20423: Foreman DB logs index out of range Duplicate 07/26/2017

Associated revisions

Revision bec68fe2 - 01/13/2017 10:27 AM - Timo Goebel

fixes #13810 - increase value range for id columns

History

#1 - 02/19/2016 10:47 AM - Doug Forster

Foreman 1.10.0

#2 - 02/19/2016 10:48 AM - Dominic Cleal

- Category set to Database

IIRC the default length is 4 bytes for an integer column, you might be able to alter the schema and widen the logs.id column as a workaround.

#3 - 02/19/2016 10:48 AM - Dominic Cleal

- Subject changed from Puppet reports are no longer being processed to Reports fail to upload, Mysql2::Error: Out of range value for column 'id' (logs

table)

#4 - 02/20/2016 09:05 AM - Jason Hane

We just ran into a similar issue.  I noticed the ID columns are not unsigned so I altered the tables to make them so.  I believe that should be the

default.  Also at some point since we're purging reports after 90 days we could probably reset the auto increment to 1.  Would that cause any issues?

#5 - 02/22/2016 03:48 AM - Dominic Cleal

Jason, this is just a join table between reports/messages/sources, so they're not going to be referenced anywhere else.  I don't know if MySQL will

skip IDs that are already in use though if the logs aren't expired exactly in order, but I guess it's probably going to be OK.

#6 - 11/08/2016 09:29 AM - Dominic Cleal

- Has duplicate Bug #17270: Running out of IDs in logs table added
#7 - 11/08/2016 09:30 AM - Dominic Cleal

- Has duplicate Feature #17251: Data type of the id on 'big' tables added

#8 - 11/08/2016 09:32 AM - Dominic Cleal

#17251 notes that this applies also to 'reports' and 'fact_values'. The columns could be changed to 64-bit counters (limit: 8).

#9 - 01/10/2017 04:59 AM - Dominic Cleal

- Has duplicate Bug #17999: Fact values id exceeds mysql maximum added

#10 - 01/10/2017 06:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/4169 added

#11 - 01/13/2017 11:02 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bec68fe2c04a2b6a714b53cfdcdc7abd00852a52.

#12 - 01/16/2017 03:38 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#13 - 01/18/2017 07:43 AM - Ohad Levy

- Related to Bug #18130: Fail to import facts and reports - auto increment ID is no longer set on many reports and facts table. added

#14 - 07/27/2017 05:21 AM - Daniel Lobato Garcia

- Has duplicate Bug #20423: Foreman DB logs index out of range added
